// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: df_agent.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DFResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MsgSent     uint64 `protobuf:"varint,1,opt,name=msg_sent,json=msgSent,proto3" json:"msg_sent,omitempty"`
	MsgReceived uint64 `protobuf:"varint,2,opt,name=msg_received,json=msgReceived,proto3" json:"msg_received,omitempty"`
	Used        bool   `protobuf:"varint,3,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *DFResult) Reset() {
	*x = DFResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_df_agent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DFResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DFResult) ProtoMessage() {}

func (x *DFResult) ProtoReflect() protoreflect.Message {
	mi := &file_df_agent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DFResult.ProtoReflect.Descriptor instead.
func (*DFResult) Descriptor() ([]byte, []int) {
	return file_df_agent_proto_rawDescGZIP(), []int{0}
}

func (x *DFResult) GetMsgSent() uint64 {
	if x != nil {
		return x.MsgSent
	}
	return 0
}

func (x *DFResult) GetMsgReceived() uint64 {
	if x != nil {
		return x.MsgReceived
	}
	return 0
}

func (x *DFResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

var File_df_agent_proto protoreflect.FileDescriptor

var file_df_agent_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x64, 0x66, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x5c, 0x0a, 0x08, 0x44, 0x46, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x19, 0x0a, 0x08,
	0x6d, 0x73, 0x67, 0x5f, 0x73, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x07,
	0x6d, 0x73, 0x67, 0x53, 0x65, 0x6e, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x6d, 0x73, 0x67, 0x5f, 0x72,
	0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0b, 0x6d,
	0x73, 0x67, 0x52, 0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73,
	0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75, 0x73, 0x65, 0x64, 0x42, 0x12,
	0x5a, 0x10, 0x2e, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_df_agent_proto_rawDescOnce sync.Once
	file_df_agent_proto_rawDescData = file_df_agent_proto_rawDesc
)

func file_df_agent_proto_rawDescGZIP() []byte {
	file_df_agent_proto_rawDescOnce.Do(func() {
		file_df_agent_proto_rawDescData = protoimpl.X.CompressGZIP(file_df_agent_proto_rawDescData)
	})
	return file_df_agent_proto_rawDescData
}

var file_df_agent_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_df_agent_proto_goTypes = []interface{}{
	(*DFResult)(nil), // 0: DFResult
}
var file_df_agent_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_df_agent_proto_init() }
func file_df_agent_proto_init() {
	if File_df_agent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_df_agent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DFResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_df_agent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_df_agent_proto_goTypes,
		DependencyIndexes: file_df_agent_proto_depIdxs,
		MessageInfos:      file_df_agent_proto_msgTypes,
	}.Build()
	File_df_agent_proto = out.File
	file_df_agent_proto_rawDesc = nil
	file_df_agent_proto_goTypes = nil
	file_df_agent_proto_depIdxs = nil
}
